Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax
Class StringTermImpl

    java.lang.Object
      jason.asSyntax.DefaultTerm
          jason.asSyntax.StringTermImpl

All Implemented Interfaces:
  StringTerm, Term, ToDOM, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Term>

    public final class StringTermImpl

extends DefaultTerm
implements StringTerm

Immutable class for string terms.

See Also:
  Serialized Form

Field Summary

Fields inherited from class jason.asSyntax.DefaultTerm
`hashCodeCache, srcInfo`

Constructor Summary
`StringTermImpl()`
`StringTermImpl(java.lang.String fs)`
`StringTermImpl(StringTermImpl t)`

Method Summary
`protected int` | `calcHashCode()`
`StringTerm` | `clone()`
`int` | `compareTo(Term o)`
`boolean` | `equals(java.lang.Object t)`
`org.w3c.dom.Element` | `getAsDOM(org.w3c.dom.Document document)` get as XML
`java.lang.String` | `getString()` gets the Java string represented by this term, it normally does not return the same string as toString (which enclose the string by quotes)
`boolean` | `isString()`
`int` | `length()`
`static StringTerm` | `parseString(java.lang.String sTerm)`
`java.lang.String` | `toString()`

Methods inherited from class jason.asSyntax.DefaultTerm
`apply, countVars, getErrorMsg, getSrcInfo, hashCode, hasVar, isArithExpr, isAtom, isGround, isInternalAction, isList, isLiteral, isNumeric, isPlanBody, isPred, isRule, isStructure, isUnnamedVar, isVar, parse, resetHashCodeCache, setSrcInfo`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jason.asSyntax.Term
`apply, countVars, getSrcInfo, hasVar, isArithExpr, isAtom, isGround, isInternalAction, isList, isLiteral, isNumeric, isPlanBody, isPred, isRule, isStructure, isUnnamedVar, isVar, setSrcInfo`

Constructor Detail

### StringTermImpl

    public StringTermImpl()

### StringTermImpl

    public StringTermImpl(java.lang.String fs)

### StringTermImpl

    public StringTermImpl(StringTermImpl t)

Method Detail

### getString

    public java.lang.String getString()

  Description copied from interface: `StringTerm`
  gets the Java string represented by this term, it normally does not return the same string as toString (which enclose the string by quotes)

  Specified by:
    `getString` in interface `StringTerm`

### clone

    public StringTerm clone()

  Specified by:
    `clone` in interface `Term`
  Specified by:
    `clone` in class `DefaultTerm`

### parseString

    public static StringTerm parseString(java.lang.String sTerm)

### isString

    public boolean isString()

  Specified by:
    `isString` in interface `Term`
  Overrides:
    `isString` in class `DefaultTerm`

### length

    public int length()

  Specified by:
    `length` in interface `StringTerm`

### equals

    public boolean equals(java.lang.Object t)

  Specified by:
    `equals` in interface `Term`
  Overrides:
    `equals` in class `java.lang.Object`

### calcHashCode

    protected int calcHashCode()

  Specified by:
    `calcHashCode` in class `DefaultTerm`

### compareTo

    public int compareTo(Term o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Term>`
  Overrides:
    `compareTo` in class `DefaultTerm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAsDOM

    public org.w3c.dom.Element getAsDOM(org.w3c.dom.Document document)

  get as XML

  Specified by:
    `getAsDOM` in interface `ToDOM`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD